LINUX.ORG.RU

Как обновить cpan на Debian 6 (VPS) ?

 , , ,


0

1
# cpan
cpan[1]> install Bundle::CPAN
CPAN: Storable loaded ok (v2.20)
Going to read '/root/.cpan/Metadata'
Going to read '/root/.cpan/sources/authors/01mailrc.txt.gz'
CPAN: Compress::Zlib loaded ok (v2.02)
............................................................................DONE
Going to read '/root/.cpan/sources/modules/02packages.details.txt.gz'
  Database was generated on Mon, 06 May 2013 04:29:03 GMT
CPAN: HTTP::Date loaded ok (v5.831)
..............
  New CPAN.pm version (v2.00) available.
  [Currently running version is v1.9402]
  You might want to try
    install CPAN
    reload cpan
  to both upgrade CPAN.pm and run the new version without leaving
  the current session.

CPAN: Time::HiRes loaded ok (v1.9719)

.........................................................Killed

И все. Что это? Что делать?

UPDATE

# apt-get install perl
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  libperl5.10 perl-base perl-modules
Suggested packages:
  perl-doc libterm-readline-gnu-perl libterm-readline-perl-perl
The following packages will be upgraded:
  libperl5.10 perl perl-base perl-modules
4 upgraded, 0 newly installed, 0 to remove and 79 not upgraded.
Need to get 9,017 kB of archives.
After this operation, 8,192 B of additional disk space will be used.
Do you want to continue [Y/n]? y
Err http://ftp.debian.org/debian/ squeeze/main perl-modules all 5.10.1-17squeeze3
  404  Not Found
Err http://ftp.debian.org/debian/ squeeze/main perl amd64 5.10.1-17squeeze3
  404  Not Found
Err http://ftp.debian.org/debian/ squeeze/main libperl5.10 amd64 5.10.1-17squeeze3
  404  Not Found
Err http://ftp.debian.org/debian/ squeeze/main perl-base amd64 5.10.1-17squeeze3
  404  Not Found
Failed to fetch http://ftp.debian.org/debian/pool/main/p/perl/perl-modules_5.10.1-17squeeze3_all.deb  404  Not Found
Failed to fetch http://ftp.debian.org/debian/pool/main/p/perl/perl_5.10.1-17squeeze3_amd64.deb  404  Not Found
Failed to fetch http://ftp.debian.org/debian/pool/main/p/perl/libperl5.10_5.10.1-17squeeze3_amd64.deb  404  Not Found
Failed to fetch http://ftp.debian.org/debian/pool/main/p/perl/perl-base_5.10.1-17squeeze3_amd64.deb  404  Not Found
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

А это как понимать? Репы померли?

Update2

# apt-get upgrade

вроде установил последний перл из реп. А CPAN все равно старый...

★★★★★

Ответ на: комментарий от Extraterrestrial

Угу, пробую уже...

# apt-get update
Hit http://ftp.debian.org squeeze Release.gpg
Ign http://ftp.debian.org/debian/ squeeze/contrib Translation-en
Ign http://ftp.debian.org/debian/ squeeze/contrib Translation-en_US
Ign http://ftp.debian.org/debian/ squeeze/main Translation-en
Ign http://ftp.debian.org/debian/ squeeze/main Translation-en_US
Ign http://ftp.debian.org/debian/ squeeze/non-free Translation-en
Ign http://ftp.debian.org/debian/ squeeze/non-free Translation-en_US
Ign http://ftp.debian.org squeeze/updates Release.gpg
Ign http://ftp.debian.org/debian-security/ squeeze/updates/contrib Translation-en
Ign http://ftp.debian.org/debian-security/ squeeze/updates/contrib Translation-en_US
Ign http://ftp.debian.org/debian-security/ squeeze/updates/main Translation-en
Ign http://ftp.debian.org/debian-security/ squeeze/updates/main Translation-en_US
Ign http://ftp.debian.org/debian-security/ squeeze/updates/non-free Translation-en
Ign http://ftp.debian.org/debian-security/ squeeze/updates/non-free Translation-en_US
Hit http://ftp.debian.org squeeze Release
Ign http://ftp.debian.org squeeze/updates Release
Ign http://ftp.debian.org squeeze/updates/main amd64 Packages
Ign http://ftp.debian.org squeeze/updates/contrib amd64 Packages
Ign http://ftp.debian.org squeeze/updates/non-free amd64 Packages
Hit http://ftp.debian.org squeeze/main amd64 Packages
Hit http://ftp.debian.org squeeze/contrib amd64 Packages
Hit http://ftp.debian.org squeeze/non-free amd64 Packages
Ign http://ftp.debian.org squeeze/updates/main amd64 Packages
Ign http://ftp.debian.org squeeze/updates/contrib amd64 Packages
Ign http://ftp.debian.org squeeze/updates/non-free amd64 Packages
Err http://ftp.debian.org squeeze/updates/main amd64 Packages
  404  Not Found
Err http://ftp.debian.org squeeze/updates/contrib amd64 Packages
  404  Not Found
Err http://ftp.debian.org squeeze/updates/non-free amd64 Packages
  404  Not Found
W: Failed to fetch http://ftp.debian.org/debian-security/dists/squeeze/updates/main/binary-amd64/Packages.gz  404  Not Found

W: Failed to fetch http://ftp.debian.org/debian-security/dists/squeeze/updates/contrib/binary-amd64/Packages.gz  404  Not Found

W: Failed to fetch http://ftp.debian.org/debian-security/dists/squeeze/updates/non-free/binary-amd64/Packages.gz  404  Not Found

E: Some index files failed to download, they have been ignored, or old ones used instead.

bvn13 ★★★★★ ()
Ответ на: комментарий от Deleted

все равно любая попытка обновить CPAN выбивает процесс (?).

# cpan
Terminal does not support AddHistory.

There seems to be running another CPAN process (pid 28271).  Contacting...
Other job not responding. Shall I overwrite the lockfile '/root/.cpan/.lock'? (Y/n) [y] y

cpan shell -- CPAN exploration and modules installation (v1.960001)
Enter 'h' for help.

cpan[1]> upgrade
CPAN: Storable loaded ok (v2.27)
Going to read '/root/.cpan/Metadata'
Going to read '/root/.cpan/sources/authors/01mailrc.txt.gz'
CPAN: Compress::Zlib loaded ok (v2.033)
............................................................................DONE
Going to read '/root/.cpan/sources/modules/02packages.details.txt.gz'
  Database was generated on Mon, 06 May 2013 04:29:03 GMT
CPAN: HTTP::Date loaded ok (v5.831)
..............
  New CPAN.pm version (v2.00) available.
  [Currently running version is v1.960001]
  You might want to try
    install CPAN
    reload cpan
  to both upgrade CPAN.pm and run the new version without leaving
  the current session.

CPAN: Time::HiRes loaded ok (v1.972101)

..................................................Killed
bvn13 ★★★★★ ()

Видимо, дохнет от недостатка памяти. Используйте cpanm.

Кроме того, ничего страшного в том, что cpan не последней версии, нет.

AITap ★★★★★ ()
Последнее исправление: AITap (всего исправлений: 1)
Ответ на: комментарий от AITap

Кстати да. У меня на VPS с 256М оперативы CPAN так себя вёл. Поэтому я сначала ставил то, что было в репозиториях aptом, а потом переехал на VPS с гигабайтом.

Hoodoo ★★★★★ ()
Ответ на: комментарий от AITap

Спасибо, помогло вроде. Пакеты поставились.

bvn13 ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.